=== debian/control ===
Source: kf6-kcompletion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcompletion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
Rules-Requires-Root: no

Package: libkf6completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf6completion-dev
Section: libdevel
Architecture: any
Depends: libkf6codecs-dev (>= 6.3.0~),
         libkf6completion6 (= ${binary:Version}),
         libkf6config-dev (>= 6.3.0~),
         libkf6widgetsaddons-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6completion-doc (= ${source:Version}),
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf6completion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6completion6
Architecture: any
Multi-Arch: same
Depends: libkf6completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
