=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6codecs-dev (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6codecs-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -39,11 +38,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.12.0~),
+Depends: libkf6codecs-dev (>= 6.13.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.12.0~),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         libkf6config-dev (>= 6.13.0~),
+         libkf6widgetsaddons-dev (>= 6.13.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion
